package com.peetz.library.dal;

import java.util.List;

import javax.ejb.Local;

import com.peetz.library.entity.ArticleEntity;

@Local
public interface ArticleDao {
	public ArticleEntity getById(Long id);
	
	public List<ArticleEntity> findByIds(List<Long> ids);
	
	public List<ArticleEntity> findByTitle(String title);
	
	public List<ArticleEntity> getRelatedArticles(ArticleEntity entity);
	
	public ArticleEntity assign(ArticleEntity origin, ArticleEntity reference);
	
	public ArticleEntity store(ArticleEntity entity);
	
	public void delete(ArticleEntity entity);

}
